.formulario-login {
  width: 100%;
  height: 100%;
  background-color: var(--white);
  display: flex;
  align-items: center;

  &__container {
    margin: 0 auto;
    width: 31rem;
    text-align: center;

    p {
      color: #343a40e7;
      font-size: 2.5rem;
      font-weight: 500;
      line-height: 1.2;
      margin-bottom: 2rem;
    }
  }

  form {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    padding-top: 0;
    color: var(--primary-background);

    label {
      display: block;
      text-align: left;
      position: absolute;
      transform: scale(1.2) translateX(1rem) translateY(-2rem);
      transition: all 0.2s ease-in-out;
    }

    .form-group-login {
      margin-top: 4rem;

      input:focus-within+label {
        transform: scale(1) translateX(0rem) translateY(-5rem) !important;
      }
    }

    .form-control {
      width: 100%;
      height: auto;
      padding: 10px;
      border: none;
      border-bottom: 3px solid var(--primary-background);
      background-color: #00000008;
      font-size: 20px;

      &:focus {
        box-shadow: none;
      }
    }

    input:focus {
      outline: none;
      border-bottom: 3px solid #757575;
    }

    .button-container {
      margin-top: 3rem;
    }

  }
}

.remind-user {
  display: flex;
  align-items: center;
  margin-top: 2rem;
  gap: 1rem;

  input[type=checkbox] {
    width: 1rem;
    height: 1rem;
  }
}

.is-invalid {
  border-bottom: 3px solid var(--text-error) !important;
}

.label-with-value {
  transform: scale(1) translateX(0rem) translateY(-5rem) !important;
}

@media (max-width: 920px) {
  .background-login {
    width: 0;
  }

  .formulario {
    color: var(--primary-background);
  }

  .sidebar {
    width: 100%;
    background-repeat: no-repeat;
    background-size: cover;
  }

  .formulario input {
    color: var(--primary-background);
  }

  input::placeholder {
    color: var(--primary-background);
  }
}
